Loading...
Searching...
No Matches
RDKit::MCSResult Struct Reference

`#include <FMCS.h>`

## Public Member Functions

| MCSResult ()
bool | isCompleted () const

## Public Attributes

unsigned int | NumAtoms {0}
unsigned int | NumBonds {0}
std::string | SmartsString
bool | Canceled {false}
ROMOL_SPTR | QueryMol
std::map< std::string, ROMOL_SPTR > | DegenerateSmartsQueryMolDict

## Detailed Description

Definition at line 194 of file FMCS.h.

## Constructor & Destructor Documentation

## MCSResult()

RDKit::MCSResult::MCSResult | ( |  | ) |

inline

Definition at line 204 of file FMCS.h.

## Member Function Documentation

## isCompleted()

bool RDKit::MCSResult::isCompleted | ( |  | ) | const

inline

Definition at line 205 of file FMCS.h.

## Member Data Documentation

## Canceled

bool RDKit::MCSResult::Canceled {false}

Definition at line 198 of file FMCS.h.

## DegenerateSmartsQueryMolDict

std::map<std::string, ROMOL_SPTR> RDKit::MCSResult::DegenerateSmartsQueryMolDict

Definition at line 201 of file FMCS.h.

## NumAtoms

unsigned int RDKit::MCSResult::NumAtoms {0}

Definition at line 195 of file FMCS.h.

## NumBonds

unsigned int RDKit::MCSResult::NumBonds {0}

Definition at line 196 of file FMCS.h.

## QueryMol

ROMOL_SPTR RDKit::MCSResult::QueryMol

Definition at line 200 of file FMCS.h.

## SmartsString

std::string RDKit::MCSResult::SmartsString

Definition at line 197 of file FMCS.h.

The documentation for this struct was generated from the following file:

- FMCS.h